gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Notebook widget container

The Notebook widget is a whose children are pages that can be switched between using tabs along the edge. Tabs are typically widgets, but can be any other widget.

There are many configuration options for Notebooks. Among other things, you can choose on which edge the tabs appear (The property), whether, if there are too many tabs to fit the notebook should be made bigger or scrolling arrows added (The property), and whether there will be a popup menu allowing the users to switch pages (The property).

Notebooks without tabs, can be used as containers to quickly switch between different groups of information to reduce any flicker caused by widget relayout by the application.

Gtk.Container Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.UInt32 To be added To be added: an object of type 'uint' To be added
- Method
  System.String `` Returns the label widget for a given widget. The widget in the page. The tab label widget, or if not found.

  Returns the tab label widget for the page child. is returned if the child widget is not in the notebook or if no tab label has specifically been set for the .

- Method
  System.String `` Returns the label caption for a given widget. The child widget in the page

  The text of the tab label, or if the widget does not have a menu label other than the default menu label, or the menu label widget is not a .

  Retrieves the text of the menu label for the page containing .

- Method
  System.Void Enables the page-selection popup.

  Enables the popup menu: if the user clicks with the right mouse button on the bookmarks, a menu with all the pages will be popped up.

- Method
  System.Void `` `` Sets the label for the page containing a widget The child widget whose label will be changed The new caption for the tab.

  Creates a new label and sets it as the tab label for the page containing .

- Method
  System.Void Switches to the previous page.

  Switches to the previous page. Nothing happens if the current page is the first page.

- Method
  System.Void Enables the page-selection popup.

  Disables the popup menu. Inverse operation of

- Method
  System.Void `` Removes a page. The page number to remove starting from zero. You can use minus one to remove the last page.

  Removes a page from the notebook given its index in the notebook.

- Method
  System.Void `` `` Appends a page. The to use as the contents of the page. The to be used as the label for the page, or to use the default label, 'page N'. Appends a page to notebook. The tab widget is the and the content is
- Method
  System.Void `` `` `` Appends a page, with a custom popup-label. The to use as the contents of the page. The to be used as the label for the page, or to use the default label, 'page N'. The widget to use as a label for the page-switch menu, if its enabled. If is passed, and is a or , then the menu label will be a newly created label with the same text as ; If is not a , must be specified if the page-switch menu is to be used.

  Appends a page to notebook, specifying the widget to use as the label in the popup menu.

- Method
  System.Void `` `` `` Inserts a page into the notebook The to use as the contents of the page. The to be used as the label for the page, or to use the default label, 'page N'. The index (starting at 0) at which to insert the page, or -1 to append the page after all other pages.

  Insert a page into the notebook at the given position

- Method
  System.Void `` `` `` `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gtk.Widget' To be added: an object of type 'int' To be added
- Method
  Gtk.Widget `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gtk.Widget' To be added
- Method
  System.Void `` `` Changes the position of a widget in the notebook. The widget to move. The new position, or -1 to move to the end

  Reorders the page containing , so that it appears in position position. If position is greater than or equal to the number of children in the list or negative, will be moved to the end of the list.

- Method
  System.Void `` `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gtk.Widget' To be added
- Method
  System.Void `` `` `` `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'bool' To be added: an object of type 'bool' To be added: an object of type 'Gtk.PackType' To be added
- Method
  Gtk.Widget `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gtk.Widget' To be added
- Method
  Gtk.Widget `` To be added To be added: an object of type 'int' To be added: an object of type 'Gtk.Widget' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'string' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gtk.Widget' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gtk.Widget' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gtk.Widget' To be added
- Method
  System.Void `` `` `` `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'bool' To be added: an object of type 'bool' To be added: an object of type 'Gtk.PackType' To be added
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of Notebook, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Notebook, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  To be added
  To be added: an object of type 'Gtk.Notebook'
  To be added
- Property
  System.UInt32 The GLib Type for Gtk.Notebook The GLib TYpe for the Gtk.Notebook class.
- Property
  System.Int32 `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.UInt32 `` To be added To be added: an object of type 'uint' To be added: an object of type 'uint' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.UInt32 `` To be added To be added: an object of type 'uint' To be added: an object of type 'uint' To be added
- Property
  System.UInt32 `` To be added To be added: an object of type 'uint' To be added: an object of type 'uint' To be added
- Property
  System.Int32 `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  Gtk.PositionType `` To be added To be added: an object of type 'Gtk.PositionType' To be added: an object of type 'Gtk.PositionType' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Event
  To be added
  To be added
- Event
  Signaled when the page changes

  This signal is raised when the page is changed either by the user or programatically.

- Event
  Signaled when Focus is being moved out.

  This event is raised before the focus is removed from the current widget

- Event
  Signaled when a request is made to change the current page

  This event is raised when a request is made to change the current page in the notebook.

- Event
  Signaled when a Tab is focused

  This event is raised when a tab has been focused.